set current_file ""
set current_file_id ""
set previous_file ""
set previous_file_id ""
set field ""
set prev_location ""
set idTouched "false"
proc locationGet { dtm_loc dtm_loc_id extension } {
set current_file [ $dtm_loc getCurrentValue ]
set current_file_id [ $dtm_loc_id getCurrentValue ]
set buffer [GuidoExecServer FioStrFilename [subst {fileLocation = "$current_file" fileId = "$current_file_id" extension = "$extension"}]]
set location [ GuidoGetParamBufferValue $buffer "location_id" ]
return $location
}
proc refreshIdContent { file_location_id } {
global idTouched
set idTouched "true"
}
proc checkthecontent {file_location file_location_id extension object_num_ce obj_name_ce trisolation_num_ce tri_name_ce} {
global current_file
global current_file_id
global previous_file
global previous_file_id
global field
global idTouched
set location ""
if { $field != $file_location } {
set current_file ""
set current_file_id ""
set previous_file ""
set previous_file_id ""
set field $file_location
set idTouched "false"
}
set previous_file $current_file
set previous_file_id $current_file_id
set current_file [$file_location getCurrentValue]
if { [string length "$current_file"] > 0 } {
set current_file_id [$file_location_id getCurrentValue]
set buffer [GuidoExecServer FioStrFilename [subst {fileLocation = "$current_file" fileId = "$current_file_id" extension = "$extension"}]]
set location [ GuidoGetParamBufferValue $buffer "location_id" ]
if { "$current_file" != "$previous_file" } {
get_triobject_trisolation_details_for_multipleDTMs $location $object_num_ce $obj_name_ce $trisolation_num_ce $tri_name_ce
} elseif { "$current_file" == "$previous_file" && "$previous_file_id" != "$current_file_id" } {
get_triobject_trisolation_details_for_multipleDTMs $location $object_num_ce $obj_name_ce $trisolation_num_ce $tri_name_ce
} elseif { "$idTouched" == "true" } {
get_triobject_trisolation_details_for_multipleDTMs $location $object_num_ce $obj_name_ce $trisolation_num_ce $tri_name_ce
set idTouched "false"
}
}
}
proc fill_triobject_details {layerName objectId objectName trisolationId trisolationName trisolationChanged graphicsBased} {
set obj_num [$objectId getCurrentValue]
set tri_num [$trisolationId getCurrentValue]
set filename [$layerName getCurrentValue]
if {"$graphicsBased" == "true"} {
set buffer [GuidoExecServer GetTriobjectDetailsGraphics [subst {LayerName = "$filename" CurrentTriobject = "$obj_num" CurrentTrisolation = "$tri_num" Trisolation = "$trisolationChanged"}]]
} else {
set buffer [GuidoExecServer GetTriobjectDetails [subst {CurrentTriobject = "$obj_num" CurrentTrisolation = "$tri_num" Trisolation = "$trisolationChanged"}]]
}
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
if {$objectName != ""} {
$objectName setCurrentValue [ GuidoGetParamBufferValue $buffer "triobject_name" ]
}
if {$trisolationName != ""} {
$trisolationName setCurrentValue [ GuidoGetParamBufferValue $buffer "trisolation_name" ]
}
set trisolation_id [GuidoGetParamBufferValue $buffer "trisolation_id"]
$trisolationId setCurrentValue $trisolation_id
set num_trisolation [GuidoGetParamBufferValue $buffer "num_trisolation"]
set trisolvalues ""
$trisolationId removeAllItems
for {set i 0} {$i < $num_trisolation} {incr i} {
set trisolid [lindex $trisolation_id $i]
lappend trisolvalues $trisolid
}
eval [concat {$trisolationId} {setValues} $trisolvalues ]
$trisolationId setExclusive true
}
}
proc fill_trisolation_details {layerName objectId trisolation_num trisolation_name trisolation graphicsBased} {
set obj_num [$objectId getCurrentValue]
set tri_num [$trisolation_num getCurrentValue]
set filename [$layerName getCurrentValue]
if {"$graphicsBased" == "true"} {
set buffer [GuidoExecServer GetTriobjectDetailsGraphics [subst {LayerName = "$filename" CurrentTriobject = "$obj_num" CurrentTrisolation = "$tri_num" Trisolation = "$trisolation"}]]
} else {
set buffer [GuidoExecServer GetTriobjectDetails [subst {CurrentTriobject = "$obj_num" CurrentTrisolation = "$tri_num" Trisolation = "$trisolation"}]]
}
set buffer [GuidoExecServer GetTriobjectDetails [subst {CurrentTriobject = "$obj_num" CurrentTrisolation = "$tri_num" Trisolation = "$trisolation"}]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
if {$trisolation_name != ""} {
$trisolation_name setCurrentValue [ GuidoGetParamBufferValue $buffer "trisolation_name" ]
}
}
}
proc fill_triobject_trisolation_details {dtmlocation object_num obj_name trisolation_num tri_name} {
set location [$dtmlocation getCurrentValue]
set currentObjectId [$object_num getCurrentValue]
set currentTrisolId [$trisolation_num getCurrentValue]
set filename ""
if { ![string match *.str [string tolower $location]]} {
if { [string match *.dtm [string tolower $location]]} {
set filename $location
} else {
append filename $location ".dtm"
}
if { [string length $location] > 0 } {
get_triobject_trisolation_details $filename $object_num $obj_name $trisolation_num $tri_name
}
}
}
proc get_triobject_trisolation_details {dtmlocation object_num obj_name trisolation_num tri_name} {
$object_num removeAllItems
$object_num setValues ""
$object_num setCurrentValue ""
$trisolation_num removeAllItems
$trisolation_num setValues ""
$trisolation_num setCurrentValue ""
set location $dtmlocation
set currentObjectId [$object_num getCurrentValue]
set currentTrisolId [$trisolation_num getCurrentValue]
set filename $location
if { [string length $location] <= 0 } {
return
}
if { [string length $location] > 0 } {
set buffer [GuidoExecServer GetTriobjectTrisolationDetails [subst {FileName = "$filename" CurrentObjectId = "$currentObjectId" CurrentTrisolId = "$currentTrisolId"}]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set num_triobject [GuidoGetParamBufferValue $buffer "num_triobject"]
set num_trisolation [GuidoGetParamBufferValue $buffer "num_trisolation"]
$obj_name setCurrentValue [GuidoGetParamBufferValue $buffer "object_name"]
$tri_name setCurrentValue [GuidoGetParamBufferValue $buffer "trisolation_name"]
set formRedisplayed [GuidoGetParamBufferValue $buffer "form_redisplayed"]
set objvalues ""
set trisolvalues ""
$object_num removeAllItems
$trisolation_num removeAllItems
if {"$formRedisplayed" == "false"} {
set triobject_id [GuidoGetParamBufferValue $buffer "triobject_id"]
set trisolation_id [GuidoGetParamBufferValue $buffer "trisolation_id"]
for {set i 0} {$i < $num_triobject} {incr i} {
set objid [lindex $triobject_id $i]
lappend objvalues $objid
}
eval [concat {$object_num} {setValues} $objvalues ]
$object_num setExclusive true
$object_num setNullAllowed false
$object_num setCurrentValue [$object_num getItemAt 0]
for {set i 0} {$i < $num_trisolation} {incr i} {
set trisolid [lindex $trisolation_id $i]
lappend trisolvalues $trisolid
}
eval [concat {$trisolation_num} {setValues} $trisolvalues ]
$trisolation_num setExclusive true
$trisolation_num setNullAllowed false
$trisolation_num setCurrentValue [$trisolation_num getItemAt 0]
} else {
set old_triobject_id [GuidoGetParamBufferValue $buffer "old_triobject_id"]
set old_trisolation_id [GuidoGetParamBufferValue $buffer "old_trisolation_id"]
for {set i 0} {$i < $num_triobject} {incr i} {
set objid [lindex $old_triobject_id $i]
lappend objvalues $objid
}
$object_num setExclusive true
$object_num setNullAllowed false
eval [concat {$object_num} {setValues} $objvalues ]
$object_num setCurrentValue $currentObjectId
for {set i 0} {$i < $num_trisolation} {incr i} {
set trisolid [lindex $old_trisolation_id $i]
lappend trisolvalues $trisolid
}
$trisolation_num setExclusive true
$trisolation_num setNullAllowed false
eval [concat {$trisolation_num} {setValues} $trisolvalues ]
$trisolation_num setCurrentValue $currentTrisolId
}
} else {
global prev_location
if { $prev_location ==  $dtmlocation } {
set currentObjectNumber [$object_num getItemAt 0]
if { $currentObjectNumber == "" } {
GuidoMessage warning APP_NO_VALID_TRISOLATION $dtmlocation
}
}
set prev_location $dtmlocation
}
} else {
$object_num removeAllItems
$trisolation_num removeAllItems
$object_num setExclusive false
$object_num setCurrentValue ""
$obj_name setCurrentValue ""
$trisolation_num setExclusive false
$trisolation_num setCurrentValue ""
$tri_name setCurrentValue ""
}
}
proc getDFieldNames {dtmlocation dtmfield} {
set location [$dtmlocation getCurrentValue]
set filename ""
append filename $location ".dtm"
if {[string length $filename] > 4} {
set buffer [GuidoExecServer GetDFieldNames [subst {FileName = "$filename" }] ]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set num_fields [GuidoGetParamBufferValue $buffer "fieldCount"]
set desc_field_names [GuidoGetParamBufferValue $buffer "field_name"]
set numberofFields ""
for {set i 0} {$i < $num_fields} {incr i} {
set fieldName [lindex $desc_field_names $i]
lappend numberofFields $fieldName
}
$dtmfield removeAllItems
$dtmfield setNullAllowed false
$dtmfield setExclusive true
eval [concat {$dtmfield} {setValues} $numberofFields ]
}
}
}
proc getLayerDFieldNames {layer dtmfield} {
set layername [$layer getCurrentValue]
set buffer [GuidoExecServer GetDFieldNames [subst {LayerName = "$layername" }] ]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set num_fields [GuidoGetParamBufferValue $buffer "fieldCount"]
set desc_field_names [GuidoGetParamBufferValue $buffer "field_name"]
set numberofFields ""
for {set i 0} {$i < $num_fields} {incr i} {
set fieldName [lindex $desc_field_names $i]
lappend numberofFields $fieldName
}
$dtmfield removeAllItems
$dtmfield setNullAllowed false
$dtmfield setExclusive true
eval [concat {$dtmfield} {setValues} $numberofFields ]
}
}
proc destroyTemporaryProcessedDTMSwa {} {
set buffer [GuidoExecServer DestroyTemporaryProcessedDTMSwa {} ]
}
proc fill_triobject_trisolation_details_for_layers {dtmlocation object_num obj_name trisolation_num tri_name} {
set location [$dtmlocation getCurrentValue]
if { [string length $location] > 0 } {
set buffer [GuidoExecServer GetTriobjectTrisolationDetailsForLayers [subst {LayerName = "$location" }]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set triobject_id [GuidoGetParamBufferValue $buffer "triobject_id"]
set trisolation_id [GuidoGetParamBufferValue $buffer "trisolation_id"]
set num_triobject [GuidoGetParamBufferValue $buffer "num_triobject"]
set num_trisolation [GuidoGetParamBufferValue $buffer "num_trisolation"]
if {$obj_name != ""} {
$obj_name setCurrentValue [GuidoGetParamBufferValue $buffer "object_name"]
}
if {$tri_name != ""} {
$tri_name setCurrentValue [GuidoGetParamBufferValue $buffer "trisolation_name"]
}
set objvalues ""
set trisolvalues ""
$object_num removeAllItems
for {set i 0} {$i < $num_triobject} {incr i} {
set objid [lindex $triobject_id $i]
lappend objvalues $objid
}
$object_num setNullAllowed false
$object_num setExclusive true
eval [concat {$object_num} {setValues} $objvalues ]
$object_num setCurrentValue [$object_num getItemAt 0]
$trisolation_num removeAllItems
for {set i 0} {$i < $num_trisolation} {incr i} {
set trisolid [lindex $trisolation_id $i]
lappend trisolvalues $trisolid
}
$trisolation_num setNullAllowed false
$trisolation_num setExclusive true
eval [concat {$trisolation_num} {setValues} $trisolvalues ]
$trisolation_num setCurrentValue [$trisolation_num getItemAt 0]
}
}
}
proc getObjectsTrisolationsForMultipleDTMS {dtm_loc object_num obj_name trisolation_num tri_name} {
set fileloc "[$dtm_loc getCurrentValue]"
set convfileloc "[string tolower $fileloc]"
set location ""
if { [string first ".dtm" $convfileloc ] == -1 } {
append location  $fileloc ".dtm"
} else {
set location $fileloc
}
if { [string length $location] > 4 } {
get_triobject_trisolation_details_for_multipleDTMs $location $object_num $obj_name $trisolation_num $tri_name
}
}
proc get_triobject_trisolation_details_for_multipleDTMs {location object_num obj_name trisolation_num tri_name} {
$object_num removeAllItems
$object_num setValues ""
$object_num setCurrentValue ""
$trisolation_num removeAllItems
$trisolation_num setValues ""
$trisolation_num setCurrentValue ""
if { [string length $location] > 0 } {
set currentObjectId [$object_num getCurrentValue]
set currentTrisolId [$trisolation_num getCurrentValue]
set buffer [GuidoExecServer GetObjectsTrisolationsForMultipleDTMS [subst {FileName = "$location" CurrentObjectId = "$currentObjectId" CurrentTrisolId = "$currentTrisolId"}]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set num_triobject [GuidoGetParamBufferValue $buffer "num_triobject"]
set num_trisolation [GuidoGetParamBufferValue $buffer "num_trisolation"]
$obj_name setCurrentValue [GuidoGetParamBufferValue $buffer "object_name"]
$tri_name setCurrentValue [GuidoGetParamBufferValue $buffer "trisolation_name"]
set formRedisplayed [GuidoGetParamBufferValue $buffer "form_redisplayed"]
set objvalues ""
set trisolvalues ""
$object_num removeAllItems
$trisolation_num removeAllItems
if {"$formRedisplayed" == "false"} {
set triobject_id [GuidoGetParamBufferValue $buffer "triobject_id"]
set trisolation_id [GuidoGetParamBufferValue $buffer "trisolation_id"]
for {set i 0} {$i < $num_triobject} {incr i} {
set objid [lindex $triobject_id $i]
lappend objvalues $objid
}
$object_num setNullAllowed false
$object_num setExclusive true
eval [concat {$object_num} {setValues} $objvalues ]
$object_num setCurrentValue [$object_num getItemAt 0]
for {set i 0} {$i < $num_trisolation} {incr i} {
set trisolid [lindex $trisolation_id $i]
lappend trisolvalues $trisolid
}
$trisolation_num setNullAllowed false
$trisolation_num setExclusive true
eval [concat {$trisolation_num} {setValues} $trisolvalues ]
$trisolation_num setCurrentValue [$trisolation_num getItemAt 0]
} else {
set old_triobject_id [GuidoGetParamBufferValue $buffer "old_triobject_id"]
set old_trisolation_id [GuidoGetParamBufferValue $buffer "old_trisolation_id"]
for {set i 0} {$i < $num_triobject} {incr i} {
set objid [lindex $old_triobject_id $i]
lappend objvalues $objid
}
$object_num setNullAllowed false
$object_num setExclusive true
eval [concat {$object_num} {setValues} $objvalues ]
$object_num setCurrentValue $currentObjectId
for {set i 0} {$i < $num_trisolation} {incr i} {
set trisolid [lindex $old_trisolation_id $i]
lappend trisolvalues $trisolid
}
$trisolation_num setNullAllowed false
$trisolation_num setExclusive true
eval [concat {$trisolation_num} {setValues} $trisolvalues ]
$trisolation_num setCurrentValue $currentTrisolId
}
} else {
global prev_location
if { $prev_location ==  $location } {
set currentObjectNumber [$object_num getItemAt 0]
if { $currentObjectNumber == "" } {
GuidoMessage warning APP_NO_VALID_TRISOLATION $location
}
}
set prev_location $location
}
} else {
$object_num removeAllItems
$trisolation_num removeAllItems
$object_num setExclusive false
$object_num setCurrentValue ""
$obj_name setCurrentValue ""
$trisolation_num setExclusive false
$trisolation_num setCurrentValue ""
$tri_name setCurrentValue ""
}
}
proc getUpdateDetailsofObjectForMultipleDTMs { dtmFile objectId trisolId } {
set obj_num [$objectId getCurrentValue]
set filename $dtmFile
set buffer [GuidoExecServer UpdateObjectDetailsForMultipleDtms [subst {FileName = "$filename"}]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set triobject_id [GuidoGetParamBufferValue $buffer "triobject_id"]
set num_triobject [GuidoGetParamBufferValue $buffer "num_triobject"]
set objectvalues ""
$objectId removeAllItems
for {set i 0} {$i < $num_triobject} {incr i} {
set objid [lindex $triobject_id $i]
lappend objectvalues $objid
}
eval [concat {$objectId} {setValues} $objectvalues ]
$objectId setExclusive true
$objectId setNullAllowed false
}
}
proc updateObjectDetailsForMultipleDtms { dtmFile objectId trisolId } {
set location [$dtmFile getCurrentValue]
set convfileloc "[string tolower $location]"
if { [string first ".dtm" $convfileloc ] == -1 } {
append filename $location ".dtm"
} else {
set filename $location
}
if { [string length $location] > 4 } {
getUpdateDetailsofObjectForMultipleDTMs $filename $objectId $trisolId
}
}
proc WrapperUpdateObjectDetailsForMultipleDtms { dtm_loc dtm_loc_id ext objectId trisolId } {
set loc [ locationGet $dtm_loc $dtm_loc_id $ext ]
getUpdateDetailsofObjectForMultipleDTMs $loc $objectId $trisolId
}
proc getUpdateDetailsOfTrisolationForMultipleDTMs { dtmFile objectId trisolationId } {
set obj_num [$objectId getCurrentValue]
set filename $dtmFile
set buffer [GuidoExecServer UpdateTrisolationDetailsForMultipleDtms [subst {FileName = "$filename" CurrentTriobject = "$obj_num"}]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set trisolation_id [GuidoGetParamBufferValue $buffer "trisolation_id"]
$trisolationId setCurrentValue $trisolation_id
set num_trisolation [GuidoGetParamBufferValue $buffer "num_trisolation"]
set trisolvalues ""
$trisolationId removeAllItems
for {set i 0} {$i < $num_trisolation} {incr i} {
set trisolid [lindex $trisolation_id $i]
lappend trisolvalues $trisolid
}
eval [concat {$trisolationId} {setValues} $trisolvalues ]
$trisolationId setCurrentValue [$trisolationId getItemAt 0]
$trisolationId setExclusive true
$trisolationId setNullAllowed false
}
}
proc updateTrisolationDetailsForMultipleDtms {dtmFile objectId trisolationId} {
set location [$dtmFile getCurrentValue]
set convfileloc "[string tolower $location]"
if { [string first ".dtm" $convfileloc ] == -1 } {
append filename $location ".dtm"
} else {
set filename $location
}
if { [string length $filename] > 4 } {
getUpdateDetailsOfTrisolationForMultipleDTMs $filename $objectId $trisolationId
}
}
proc wrapperUpdateTrisolationDetailsForMultipleDtms { dtm_loc dtm_loc_id ext objectId trisolationId } {
set loc [ locationGet $dtm_loc $dtm_loc_id $ext ]
getUpdateDetailsOfTrisolationForMultipleDTMs $loc $objectId $trisolationId
}
proc destroyMultipleDtms {} {
set buffer [GuidoExecServer DestroyMultipleDtms {} ]
}
proc getTriobjectChanged { dtm_loc objectId objectName trisolationId trisolationName } {
set obj_num [$objectId getCurrentValue]
set filename $dtm_loc
set buffer [GuidoExecServer TriobjectChanged [subst {FileName = "$filename" CurrentTriobject = "$obj_num" }]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
$objectName setCurrentValue [ GuidoGetParamBufferValue $buffer "triobject_name" ]
$trisolationName setCurrentValue [ GuidoGetParamBufferValue $buffer "trisolation_name" ]
set trisolation_id [GuidoGetParamBufferValue $buffer "trisolation_id"]
set num_trisolation [GuidoGetParamBufferValue $buffer "num_trisolation"]
set trisolvalues ""
$trisolationId removeAllItems
for {set i 0} {$i < $num_trisolation} {incr i} {
set trisolid [lindex $trisolation_id $i]
lappend trisolvalues $trisolid
}
$trisolationId setNullAllowed false
eval [concat {$trisolationId} {setValues} $trisolvalues ]
$trisolationId setCurrentValue [$trisolationId getItemAt 0]
$objectId setNullAllowed false
}
}
proc triobjectChanged { dtm_loc objectId objectName trisolationId trisolationName } {
set location [ $dtm_loc getCurrentValue ]
set convfileloc "[string tolower $location]"
if { [string first ".dtm" $convfileloc ] == -1 } {
append filename $location ".dtm"
} else {
set filename $location
}
if { [string length $filename] > 4 } {
getTriobjectChanged $filename $objectId $objectName $trisolationId $trisolationName
}
}
proc wrapperTriobjectChanged { dtm_loc dtm_loc_id ext objectId objectName trisolationId trisolationName } {
set loc [ locationGet $dtm_loc $dtm_loc_id $ext ]
getTriobjectChanged $loc $objectId $objectName $trisolationId $trisolationName
}
proc getTrisolationChanged { dtm_loc objectId trisolationId trisolationName } {
set obj_num [$objectId getCurrentValue]
set tri_num [$trisolationId getCurrentValue]
set filename $dtm_loc
set buffer [GuidoExecServer TrisolationChanged [subst {FileName = "$filename" CurrentTriobject = "$obj_num" CurrentTrisolation = "$tri_num"}]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
$trisolationName setCurrentValue [ GuidoGetParamBufferValue $buffer "trisolation_name"]
$trisolationId setCurrentValue $tri_num
$trisolationId setNullAllowed false
$objectId setNullAllowed false
}
}
proc trisolationChanged { dtm_loc objectId trisolationId trisolationName } {
set location [$dtm_loc getCurrentValue]
set convfileloc "[string tolower $location]"
if { [string first ".dtm" $convfileloc ] == -1 } {
append filename $location ".dtm"
} else {
set filename $location
}
if { [string length $filename] > 4 } {
getTrisolationChanged $filename $objectId $trisolationId $trisolationName
}
}
proc wrapperTrisolationChanged { dtm_loc dtm_loc_id ext objectId trisolationId trisolationName } {
set loc [ locationGet $dtm_loc $dtm_loc_id $ext ]
getTrisolationChanged $loc $objectId $trisolationId $trisolationName
}
proc getDFieldNamesForMultipleDTMS {dtmfile dtmfield} {
set location [$dtmfile getCurrentValue]
set filename ""
append filename $location ".dtm"
if {[string length $filename] > 4} {
set buffer [GuidoExecServer GetDFieldNamesForMultipleDTMS [subst {FileName = "$filename" }] ]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set num_fields [GuidoGetParamBufferValue $buffer "fieldCount"]
set desc_field_names [GuidoGetParamBufferValue $buffer "field_name"]
set numberofFields ""
for {set i 0} {$i < $num_fields} {incr i} {
set fieldName [lindex $desc_field_names $i]
lappend numberofFields $fieldName
}
$dtmfield removeAllItems
$dtmfield setNullAllowed false
$dtmfield setExclusive true
eval [concat {$dtmfield} {setValues} $numberofFields ]
}
}
}
proc refreshDfieldNamesForMultipleDTMs {filelocation descField} {
set location [$filelocation getCurrentValue]
set filename ""
append filename $location ".dtm"
if {[string length $location] != 0} {
set buffer [GuidoExecServer RefreshDfieldNamesForMultipleDTMs [subst {FileName = "$filename"}]]
set status [GuidoGetParamBufferValue $buffer status]
if {$status >= 0} {
set num_fields [GuidoGetParamBufferValue $buffer "fieldCount"]
set desc_field_names [GuidoGetParamBufferValue $buffer "field_name"]
set numberofFields ""
for {set i 0} {$i < $num_fields} {incr i} {
set fieldName [lindex $desc_field_names $i]
lappend numberofFields $fieldName
}
$descField removeAllItems
$descField setNullAllowed false
$descField setExclusive true
eval [concat {$descField} {setValues} $numberofFields ]
}
}
}
proc getSurpacLayerNames {defaultLayer} {
set buffer [ GuidoExecServer "GetLayerNames" {} ]
set layernames [GuidoGetParamBufferValue $buffer layers]
set layernameslist [split $layernames "\n"]
foreach item $layernameslist {
lappend values "$item"
}
eval [concat {$defaultLayer} {setValues} $values ]
}
